Jump to content
InfoFile
Tác giả: phanmanhphu
Bài viết gốc: 188675
Tên lệnh: vd
Hỏi về lisp tạo biến cho dim VD.lsp
Mình viết thế này thì nó sẽ nhập cả scale dim (DIMSCALE) và chọn tỉ lệ dim đang vẽ (dimlfac)
Nhưng không hiểu sao nó lại hiển thị thêm 1 mục này nhỉ http://nh2.upanh.com/b5.s22.d3/29415cc35a47fbca0829bb99e7eb36a5_39737842.screenshot001.jpg

;;; DAT BIEN CHO DIM
(DEFUN C:VD ()
(setq OVSC (getreal "\nTy le dim la bnhieu %? ... "))
(setq MS (getreal "\nTy le dang ve la bnhieu?TL 1/25 nhap 0.25 "))
>>
Mình viết thế này thì nó sẽ nhập cả scale dim (DIMSCALE) và chọn tỉ lệ dim đang vẽ (dimlfac)
Nhưng không hiểu sao nó lại hiển thị thêm 1 mục này nhỉ http://nh2.upanh.com/b5.s22.d3/29415cc35a47fbca0829bb99e7eb36a5_39737842.screenshot001.jpg

;;; DAT BIEN CHO DIM
(DEFUN C:VD ()
(setq OVSC (getreal "\nTy le dim la bnhieu %? ... "))
(setq MS (getreal "\nTy le dang ve la bnhieu?TL 1/25 nhap 0.25 "))
(setq namedim (getstring "\nDat ten dim nhe "))
(COMMAND "INSERT" "DIM=dim" ^c)
(COMMAND "-LAYER" "SET" "K.DIM(5)" "")
(command "-style" "K.VNtime" "VNTime.shx,VNS.SHX" "0" "0.75" "0" "N" "N" "N")
(COMMAND "MIRRTEXT" "0") ;;;KHONG MIRROR TEXT
(COMMAND "DIMUNIT" "2") ;;;TEXT DANG DECIMAL
(COMMAND "DIMADEC" "0") ;;;DAT SO CHU THAP PHAN TEXTDIM
(COMMAND "DIMASZ" "1") ;;;KTHUOC ARROWHEADER
(COMMAND "DIMCLRT" "2") ;;;DAT MAU CHO TEXTDIM
(COMMAND "DIMDEC" "0") ;;;DAT KIEU THAP PHAN CHO DIMTEXT
(COMMAND "DIMALTU" "2") ;;;KIEUDONVI TEXTDIM
(COMMAND "DIMDLE" "1") ;;DATPHAN DIMLINE NHO KHOI DG EXTEND
(COMMAND "DIMDLI" "8") ;;;DAT KHOANG CACH GIUA CAC DUONG DIM
(COMMAND "DIMEXE" "2") ;;;DATPHAN DG EXTEND NHO KHOI DG DIMLINE
(COMMAND "DIMEXO" "0") ;;;DAT KHCACH CHAN DG GIONG VA VAT THE
(COMMAND "DIMFIT" "5") ;;;DATFIT
;;0 Text and Arrows
;;1 Text Only
;;2 Arrows Only
;;3 Best Fit
;;4 Leader
;;5 No Leader
(COMMAND "DIMTIH" "OFF") ;;;GIONG TEXT trong dg dim THEO DG DIMLINE
(COMMAND "DIMTOH" "OFF") ;;;GIONG TEXT trong dg dim THEO DG DIMLINE
(COMMAND "DIMTAD" "1") ;;;TEXTDIM PHIA TREN DIMLINE
(COMMAND "DIMTOFL" "ON") ;;;CO DIMLINE NGAY CA KHI TEXT OUTSIDE
(COMMAND "DIMTXSTY" "K.VNtime") ;;;style dimtext
(COMMAND "DIMTXT" "2.5") ;;;chieucao textdim
(COMMAND "DIMASZ" "1") ;;;scale for arrowhead
(COMMAND "DIMTVP" "1") ;;;khcach textdim phia tren hoac duoi dimline
(COMMAND "DIMGAP" "1") ;;;khcach dim phia tren hoac duoi dimline
(COMMAND "DIMSAH" "ON") ;;;dung blockarrow default hoac defined
(COMMAND "DIMBLK" "DIM") ;;;kieu arrow
(COMMAND "DIMBLK1" "DIM") ;;;kieu arrow dau
(COMMAND "DIMBLK2" "DIM") ;;;kieu arrow cuoi
(COMMAND "DIMSD1" "OFF") ;;;CO DIMLINEDAU
(COMMAND "DIMSE1" "OFF") ;;;CO EXTENDED LINE DAU
(COMMAND "DIMCLRD" "5") ;;;DATMAUDIMLINE
(COMMAND "DIMCLRE" "5") ;;;DATMAUEXTENDLINE
(COMMAND "DIMRND" "0") ;;;LAM TRON DIMTEXT
(COMMAND "DIMcen" "-3") ;;;ve center line for dimcen
(COMMAND "DIMSCALE" OVSC) ;;;OVERSCALE FOR DIM
(COMMAND "DIMSTYLE" "s" namedim) ;;SAVE TEN KIEU DIM
(setvar "dimlfac" MS) ;;measurement scale/scale factor trong Primary Units.
(PRINC)
)


<<

Filename: 188675_vd.lsp
Tác giả: phanmanhphu
Bài viết gốc: 188685
Tên lệnh: vd
Hỏi về lisp tạo biến cho dim VD.lsp
Mình muốn tạo thêm đoạn lisp để nó nhập sẵn Always keep text between ext lines và tích chọn suppress arrows if they.... ( như hình vẽ ), thì làm thế nào . Mình thử thay số ở DIMFIT nhưng sao không được, các bạn giúp mình với nhé . thanks :X
http://nh1.upanh.com/b6.s15.d1/b47e962aaa4cf34f4780a5476c5fafd6_39739951.screenshot002.jpg


;;; DAT BIEN CHO DIM
(DEFUN C:VD ()
(setq OVSC (getreal "\nTy le dim...
>>
Mình muốn tạo thêm đoạn lisp để nó nhập sẵn Always keep text between ext lines và tích chọn suppress arrows if they.... ( như hình vẽ ), thì làm thế nào . Mình thử thay số ở DIMFIT nhưng sao không được, các bạn giúp mình với nhé . thanks :X
http://nh1.upanh.com/b6.s15.d1/b47e962aaa4cf34f4780a5476c5fafd6_39739951.screenshot002.jpg


;;; DAT BIEN CHO DIM
(DEFUN C:VD ()
(setq OVSC (getreal "\nTy le dim la bnhieu %? ... "))
(setq MS (getreal "\nTy le dang ve la bnhieu?TL 1/25 nhap 0.25 "))
(setq namedim (getstring "\nDat ten dim nhe "))
(COMMAND "INSERT" "DIM=dim" ^c)
(COMMAND "-LAYER" "SET" "K.DIM(5)" "")
(command "-style" "K.VNtime" "VNTime.shx,VNS.SHX" "0" "0.75" "0" "N" "N" "N")
(COMMAND "MIRRTEXT" "0") ;;;KHONG MIRROR TEXT
(COMMAND "DIMUNIT" "2") ;;;TEXT DANG DECIMAL
(COMMAND "DIMADEC" "0") ;;;DAT SO CHU THAP PHAN TEXTDIM
(COMMAND "DIMASZ" "1") ;;;KTHUOC ARROWHEADER
(COMMAND "DIMCLRT" "2") ;;;DAT MAU CHO TEXTDIM
(COMMAND "DIMDEC" "0") ;;;DAT KIEU THAP PHAN CHO DIMTEXT
(COMMAND "DIMALTU" "2") ;;;KIEUDONVI TEXTDIM
(COMMAND "DIMDLE" "1") ;;DATPHAN DIMLINE NHO KHOI DG EXTEND
(COMMAND "DIMDLI" "8") ;;;DAT KHOANG CACH GIUA CAC DUONG DIM
(COMMAND "DIMEXE" "2") ;;;DATPHAN DG EXTEND NHO KHOI DG DIMLINE
(COMMAND "DIMEXO" "0") ;;;DAT KHCACH CHAN DG GIONG VA VAT THE
(COMMAND "DIMFIT" "5") ;;;DATFIT
;;0 Text and Arrows
;;1 Arrows Only
;;2 Text Only
;;3 Best Fit
;;4 Leader
;;5 No Leader

(COMMAND "DIMTIH" "OFF") ;;;GIONG TEXT trong dg dim THEO DG DIMLINE
(COMMAND "DIMTOH" "OFF") ;;;GIONG TEXT trong dg dim THEO DG DIMLINE
(COMMAND "DIMTAD" "1") ;;;TEXTDIM PHIA TREN DIMLINE
(COMMAND "DIMTOFL" "ON") ;;;CO DIMLINE NGAY CA KHI TEXT OUTSIDE
(COMMAND "DIMTXSTY" "K.VNtime") ;;;style dimtext
(COMMAND "DIMTXT" "2.5") ;;;chieucao textdim
(COMMAND "DIMASZ" "1") ;;;scale for arrowhead
(COMMAND "DIMTVP" "1") ;;;khcach textdim phia tren hoac duoi dimline
(COMMAND "DIMGAP" "1") ;;;khcach dim phia tren hoac duoi dimline
(COMMAND "DIMSAH" "ON") ;;;dung blockarrow default hoac defined
(COMMAND "DIMBLK" "DIM") ;;;kieu arrow
(COMMAND "DIMBLK1" "DIM") ;;;kieu arrow dau
(COMMAND "DIMBLK2" "DIM") ;;;kieu arrow cuoi
(COMMAND "DIMSD1" "OFF") ;;;CO DIMLINEDAU
(COMMAND "DIMSE1" "OFF") ;;;CO EXTENDED LINE DAU
(COMMAND "DIMCLRD" "5") ;;;DATMAUDIMLINE
(COMMAND "DIMCLRE" "5") ;;;DATMAUEXTENDLINE
(COMMAND "DIMRND" "0") ;;;LAM TRON DIMTEXT
(COMMAND "DIMcen" "-3") ;;;ve center line for dimcen
(COMMAND "DIMSCALE" OVSC) ;;;OVERSCALE FOR DIM
(COMMAND "DIMSTYLE" "s" namedim) ;;SAVE TEN KIEU DIM
(setvar "dimlfac" MS) ;;measurement scale/scale factor trong Primary Units.
(PRINC)
)


<<

Filename: 188685_vd.lsp
Tác giả: Doan Van Ha
Bài viết gốc: 188989
Tên lệnh: ha
Nhờ viết Lisp vẽ đường 3Dpoly
Có lẽ bạn cần cái này chăng?

Filename: 188989_ha.lsp
Tác giả: 18011985
Bài viết gốc: 104843
Tên lệnh: cc
ssget ssadd ............... Loạn mất rồi


Sau đây toàn bộ đoạn lsp của mình:

Đây là đoạn code lsp viết riêng cho một lần thực hiện, khi mình đưa sang dialog và để hàm lặp lại câu lệnh khi ấn vào các nút, ấn lần đầu thì không sao, ấn lần thứ 2 thì mình phải chọn lại đối tượng mới thì mới được tức mình muốn truy xuất đối tượng mới mà không cần thao tác chọn đối tượng đấy lần thứ 2. Rất mong bạn...
>>

Sau đây toàn bộ đoạn lsp của mình:

Đây là đoạn code lsp viết riêng cho một lần thực hiện, khi mình đưa sang dialog và để hàm lặp lại câu lệnh khi ấn vào các nút, ấn lần đầu thì không sao, ấn lần thứ 2 thì mình phải chọn lại đối tượng mới thì mới được tức mình muốn truy xuất đối tượng mới mà không cần thao tác chọn đối tượng đấy lần thứ 2. Rất mong bạn góp ý giúp mình.
<<

Filename: 104843_cc.lsp
Tác giả: Doan Van Ha
Bài viết gốc: 188782
Tên lệnh: ha
lisp thay đổi thuộc tính associative của hatch

Tôi chỉ giúp bạn được 50%, nghĩa là chuyển 1 tập hợp chọn các hatch có kiểu nguyên thuỷ là associative sang not associative, nhưng nếu kiểu nguyên thuỷ là not associative thì chưa nghĩ ra, mà phải làm từng cái một như lisp của bác Tue_NV.
Khi kiểu nguyên thuỷ đã là associative thì dùng lệnh này có thể chuyển qua lại giữa 2 kiểu.


Filename: 188782_ha.lsp
Tác giả: Tue_NV
Bài viết gốc: 189195
Tên lệnh: hh5
Hatch không đè lên Dim


Bạn tham khảo đoạn code sửa nhanh cho bạn
Lisp nhận cả Curve kín và không kín

Filename: 189195_hh5.lsp
Tác giả: Doan Van Ha
Bài viết gốc: 189291
Tên lệnh: ha
Hatch không đè lên Dim
Nếu chỉ chọn 1 thứ (curve chẳng hạn) để hatch, và với riêng bài toán của bạn thì bạn thử cái này xem sao.
P/S: sửa lúc 13h45 - 14/01/2012.

Filename: 189291_ha.lsp
Tác giả: Tue_NV
Bài viết gốc: 189279
Tên lệnh: hh5
Hatch không đè lên Dim


Tỉ lệ Hatchscale trong Lisp, Tue_NV đặt bằng 3 giống như trong Lisp của bạn.
Bạn thử lại Lisp này nhé :

Filename: 189279_hh5.lsp
Tác giả: Doan Van Ha
Bài viết gốc: 189321
Tên lệnh: ha
Hatch không đè lên Dim
Cái này chỉ cần chọn 1 điểm trong vùng cần Hatch. Nếu bạn sử dụng còn lỗi mà không post bản vẽ lên thì tôi không thể tìm ra được.

Filename: 189321_ha.lsp
Tác giả: ketxu
Bài viết gốc: 189323
Tên lệnh: h5
Tạo Hatch bao đường biên

- Tạo hoảng Hatch bao xung quanh đường bao và không đè lên đối tượng khác

Filename: 189323_h5.lsp
Tác giả: Tue_NV
Bài viết gốc: 51652
Tên lệnh: lo
Cần nhờ viết list về kích thước

Cái hàm (ssget) thiệt khó chơi. Nó lẫn lộn không theo trật tự nào cả.
Lisp mình viết cho bạn rồi nè. Và để Lisp chạy đúng bạn hãy đánh vào cột đường tròn trong file mà bạn gửi các kí hiệu A B C D E F. Khi chạy Lisp chọn các hình tròn theo thứ tự A B C D E F , Lisp sẽ tính tọa độ tâm hình tròn (X , Y) ; đường kính, chu vi, diện tích. mà bạn phải nói rõ là bạn tính theo đơn vị gì...
>>

Cái hàm (ssget) thiệt khó chơi. Nó lẫn lộn không theo trật tự nào cả.
Lisp mình viết cho bạn rồi nè. Và để Lisp chạy đúng bạn hãy đánh vào cột đường tròn trong file mà bạn gửi các kí hiệu A B C D E F. Khi chạy Lisp chọn các hình tròn theo thứ tự A B C D E F , Lisp sẽ tính tọa độ tâm hình tròn (X , Y) ; đường kính, chu vi, diện tích. mà bạn phải nói rõ là bạn tính theo đơn vị gì chứ? Lisp tính toàn bộ theo đơn vị mm đấy.
Cột 1 : Tọa độ tâm X
Cột 2 : Tọa độ tâm Y
Cột 3 : Đường kính
Cột 4 : Chu vi
Cột 5 : Diện tích

Hy vọng Lisp chạy đúng ý bạn
Chúc thành công :undecided:
<<

Filename: 51652_lo.lsp
Tác giả: thanhduan2407
Bài viết gốc: 189454
Tên lệnh: ikn
In các bản vẽ nghiêng trong CAD thế nào ah?
Bạn tham khảo ở đây và thay thế lệnh in bằng lệnh ikn (in khung nghiêng).
http://www.cadviet.c...showtopic=42078
File Cad minh hoạ ở đây.
http://www.cadviet.c...65_file_mau.dwg
Cách dùng:
Trong layout bạn dùng lệnh ikn, kích chọn 2 điểm góc khung phía dưới cùng và kích chọn Pline.
P/s: Phải đọc kỹ phần tham khảo tôi gửi cho bạn.
Một thoáng nữa tôi sẽ up Video lên.
>>
Bạn tham khảo ở đây và thay thế lệnh in bằng lệnh ikn (in khung nghiêng).
http://www.cadviet.c...showtopic=42078
File Cad minh hoạ ở đây.
http://www.cadviet.c...65_file_mau.dwg
Cách dùng:
Trong layout bạn dùng lệnh ikn, kích chọn 2 điểm góc khung phía dưới cùng và kích chọn Pline.
P/s: Phải đọc kỹ phần tham khảo tôi gửi cho bạn.
Một thoáng nữa tôi sẽ up Video lên.

(defun c:ikn()
(vl-load-com)
(command "PSPACE")
(command "undo" "be")
(setq
D1 (getpoint "\nChon diem thu nhat: ")
D2 (getpoint "\nChon diem thu hai: ")
)
(command "MSPACE")
(setq en (entsel "\n Chon pline "))
(if en
(progn
(setq ob (vlax-ename->vla-object (car en))
n (vlax-curve-getEndParam ob)
i 0

)
(while (<= i n)
(setq p1 (vlax-curve-getPointAtParam ob i)
p2 (vlax-curve-getPointAtParam ob (+ i 1))
)
(command "PSPACE" )
(alignspace P1 P2 D1 D2 )
(command "_plot" "" "" "" "" "" "" "")
(setq i (+ i 2))
)
)
)
(command "undo" "e")
(command "PSPACE" )
(princ)
)

P/s: Video: http://www.cadviet.com/upfiles/3/36665_11.rar
Trong quá trình thực hiện mà vướng mắc. Bạn có thể liên hệ với mình với yahoo: thanhduan2407@yahoo.com
<<

Filename: 189454_ikn.lsp
Tác giả: Nguyen Hoanh
Bài viết gốc: 100610
Tên lệnh: lfa
Viết lisp nối suy đỉnh đường cong tròn


Bài toán khá hay, sau đây là lời giải.
Lệnh là LFA (Line From Arc)

Filename: 100610_lfa.lsp
Tác giả: Nguyen Hoanh
Bài viết gốc: 100624
Tên lệnh: lfa1
Viết lisp nối suy đỉnh đường cong tròn

Đoạn mã để 2 đường thẳng đó giao nhau 1 điểm dưới đây. Lệnh là LFA1 là một cải tiến của lệnh LFA như trên.


Về việc 2 arc nối tiếp thành pline (có 3 đỉnh), bạn hãy upload 1 file ví dụ của bạn lên. Tôi hình dung được điều bạn mô tả nhưng không chắc đúng ý bạn về cách nối tiếp 2 arch thành 1 pline. Theo cách tôi nghĩ, việc convert pline này thành arc khá đơn giản,...
>>

Đoạn mã để 2 đường thẳng đó giao nhau 1 điểm dưới đây. Lệnh là LFA1 là một cải tiến của lệnh LFA như trên.


Về việc 2 arc nối tiếp thành pline (có 3 đỉnh), bạn hãy upload 1 file ví dụ của bạn lên. Tôi hình dung được điều bạn mô tả nhưng không chắc đúng ý bạn về cách nối tiếp 2 arch thành 1 pline. Theo cách tôi nghĩ, việc convert pline này thành arc khá đơn giản, chỉ là vẽ 1 arc mới đi qua 3 đỉnh của pline và xóa pline cũ đi. Nếu đã quen VBA bạn cũng có thể tự thực hiện việc này.

Rất mong bạn sẽ chia sẻ VBA cùng mọi người.
<<

Filename: 100624_lfa1.lsp
Tác giả: Nguyen Hoanh
Bài viết gốc: 100701
Tên lệnh: lfa2
Viết lisp nối suy đỉnh đường cong tròn

Thì ra bài toán của bạn là vậy, nếu từ đầu bạn post file mẫu lên thì đỡ phải viết nhiều lần.

lệnh lfa2 là bài toán làm với các cung tròn (bạn có thể chọn nhiều cung tròn một lúc)


Bạn có thể explode pline ra thành nhiều arc để sử dụng lệnh lfa2.

Filename: 100701_lfa2.lsp
Tác giả: ndtnv
Bài viết gốc: 100749
Tên lệnh: restoretangent
Viết lisp nối suy đỉnh đường cong tròn

Mặc dù bạn doanduyhung đã post rồi, nhưng code sau ngắn hơn.
VD biến d=10*r là thừa
Vì không có thời gian nên dùng explode tuy không an toàn nhưng chính xác hơn.

Filename: 100749_restoretangent.lsp
Tác giả: Doan Van Ha
Bài viết gốc: 184782
Tên lệnh: cl clremove
Reactor và các ứng dụng của nó ?


Bác tham khảo của mót này nhé! Dùng để vẽ đường tâm của hình tròn, reactor được. Nó có thể dùng enter hoặc space để gọi lại.

Filename: 184782_cl_clremove.lsp
Tác giả: ssg
Bài viết gốc: 5783
Tên lệnh: ref
small gift for all autolisp programmers
I'm sorry! Program isn't correct in several cases. Please repair as below.
If you have another better way, please post up for everybody refer.
Thank you!
Ssg


Filename: 5783_ref.lsp
Tác giả: namnhim
Bài viết gốc: 189509
Tên lệnh: khung scc
Cho mình hỏi cách cài đặt khung, Layer, dim, text sẵn trong cad khi khởi động là có luôn
tôi có 1 đoạn lisp này có thể bạn dùng được:

===================================
TAO CAC LOAI KHUNG MAU BAN VE CO SAN:
===================================
(defun C:KHUNG (/ )
(command "cmdecho" 0)
(command "osnap" "none")
(setq DIEMCHEN (getpoint "CHON GOC TRAI-DUOI BAN VE"))
(chenkhungCG DIEMCHEN) ;VE CAC KHUNG TY LE CHUAN DE DINH HUONG
(setq MSTL (getreal "\nCHON...
>>
tôi có 1 đoạn lisp này có thể bạn dùng được:

===================================
TAO CAC LOAI KHUNG MAU BAN VE CO SAN:
===================================
(defun C:KHUNG (/ )
(command "cmdecho" 0)
(command "osnap" "none")
(setq DIEMCHEN (getpoint "CHON GOC TRAI-DUOI BAN VE"))
(chenkhungCG DIEMCHEN) ;VE CAC KHUNG TY LE CHUAN DE DINH HUONG
(setq MSTL (getreal "\nCHON TY LE BAN VE (BAM SO TUONG UNG T/LE:100;200;250;500;1000;2000): "))
;XOA CAC KHUNG DINH HUONG
(repeat 12 (command "_erase" (ssget "L") ""))
;CHEN MAU HO SO VAO
(setq DUONGDAN "c:\\program files\\AutoCAD 2004\\Khung\\")
(setq LOAIHS "Khung")
(setq TENFILE (strcat LOAIHS (rtos MSTL 2 0) ".dwg"))
(ChenBlock DUONGDAN TENFILE DIEMCHEN (/ MSTL 1000))
(prompt "\nDA TAO XONG KHUNG BAN VE!")(command "osnap" "End,Mid,Int,Perp")(Princ)
);END DEFUN KHUNG
===================================
;SCALE BAN VE LAM TANG CO CHU KICH THUOC THEO TY LE
;;;=================================
(defun SCDim( / e ob OName SF LSF)
(while (setq e (ssname ssd 0))
(setq
ob (vlax-ename->vla-object e)
OName (vla-get-ObjectName ob)
SF (vla-get-ScaleFactor ob))
(if (not (wcmatch OName "*AngularDimension"))
(progn
(setq LSF (vla-get-LinearScaleFactor ob))
(command "dimoverride" "dimlfac" (/ LSF k) "" e "")))
(if (/= opt "N") (command "dimoverride" "dimscale" (* SF k) "" e ""))
(ssdel e ssd)))
;==========
(defun C:SCC( / ss ssd p k opt)(prompt "\nGo lenh: SCC de phong to hoac thu nho ban ve va kich thuoc ")
(vl-load-com)
(setq
ss (ssget)
ssd (ssget "p" '((0 . "DIMENSION")))
p (getpoint "\nTAM DIEM KHI SCALE:")
k (getreal "\nSCALE LEN MAY LAN:")
;opt (strcase (getstring "\nDim scale overall? :"))
)
(if (= opt "") (setq opt "N"))
(if (> k 1)
(progn (command "scale" ss "" p k) (SCDim))
(progn (SCDim) (command "scale" ss "" p k))
)
(prompt "\nDA PHONG TO BAN VE VA KICH THUOC!")(Princ)
)

VÀ TẠO CÁC FILE MẪU TỈ LỆ: 1/100; 1/200; 1/250; 1/500; 1/1000; 1/2000.
LƯU Ý: TẠO 1 FILE MẪU TỈ LỆ 1/1000, SAU ĐÓ COPY THÀNH CÁC FILE NHƯNG VẪN DỮ NGUYÊN TỈ LỆ 1/1000 VÀ CHỈ SỬA CHỮ TỈ LỆ Ở PHẦN NHƯ HÌNH MINH HỌA KÈM THEO" TỶ LỆ: 1/1*** (Đơn vị cm)" BÊN TRONG BẢN VẼ VÀ XỬ DỤNG LỆNH SCC KÈM THEO ĐỂ SCALE DIM CHO ĐÚNG TỈ LỆ NGOÀI RA KHÔNG ĐƯỢC SCALE KHUNG RỒI LƯU FILE VẬY LÀ OK.
BẢN VẼ SẼ TỰ SCALE KHUNG KHI MÌNH GÕ LỆNH: KHUNG -> NHẬP SỐ TƯƠNG ỨNG VỚI TỈ LỆ 100 HOẶC 200 ...., VÀ NÓ SẼ HIỆN LÊN KHUNG NHƯ MÌNH ĐÃ MẶC ĐỊNH!
NHỚ COPY FILE KHUNG CỦA MÌNH THEO ĐÚNG ĐƯỜNG DẪN VÀO Ổ "c:\\program files\\AutoCAD 2004\\Khung\\"SAU ĐÓ SỬA VÀ LƯU FILE VÀO ĐÓ.
BẢN VẼ KÈM THEO ĐÃ CÓ KÍCH THƯỚC CHUẨN THEO TỪNG TỈ LỆ VÀ BẢN VẼ VẪN GIỮ NGUYÊN TỈ LỆ 1/1000:
http://www.cadviet.com/upfiles/3/62465_khung.rar
<<

Filename: 189509_khung_scc.lsp
Tác giả: thiep
Bài viết gốc: 83834
Tên lệnh: thangcap
Viết lisp theo yêu cầu [phần 2]

Chào xuanvi80, bạn dùng lisp này tạm nhé. Thiep chưa kiểm tra kỹ, nhưng thấy nó vẫn chạy tốt. Lệnh là thangcap.

Filename: 83834_thangcap.lsp

Trang 75/304

75